SQLite3::lastInsertRowID
SQLite3::open
SQLite3
PHP Manual

# SQLite3::loadExtension

Attempts to load an SQLite extension library

### Description

public bool SQLite3::loadExtension ( string `$shared_library` )

Attempts to load an SQLite extension library.

### Parameters

`shared_library`

  The name of the library to load. The library must be located in the directory specified in the configure option sqlite3.extension_dir.

### Return Values

Returns `TRUE` if the extension is successfully loaded, `FALSE` on failure.

### Examples

Example #1 SQLite3::loadExtension example

`<?php
$db = new SQLite3('mysqlitedb.db');
$db->loadExtension('libagg.so');
?>`